package com.mx.dla.dda.contrato.license.titulo.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.titulo.dtos.Titulo;

public interface TituloFeeChunkDAO {

	void aListaEspejoPorCorato(@Param("idContrato")Long idContrato  );
	void aTituloEspejoPorLista(@Param("idListaReal")Long idListaReal , @Param("idListaEspejo")Long idListaEspejo);
	void aListaRealPorCorato(@Param("idContrato")Long idContrato  );
	void aTituloRealPorLista(@Param("idListaEspejo")Long idListaEspejo , @Param("idListaReal")Long idListaReal);
    void aEspejo(@Param("titulos")List<Titulo> titulos);	
	void aReal(@Param("titulos")List<Titulo> titulos);		
}
